program Compiler;

uses Clock, Common, Declarations;

begin
  WriteLn('-= Compiler version 0.7 =-');
  WriteLn('(c) 2000 by Matvey Ralchik');
  WriteLn(DestFile, #9'.MODEL tiny, pascal, os_dos');
  WriteLn(DestFile, #9'.486');
  WriteLn(DestFile, #9'.CODE'#13#10);
  CompileProgram;
  Close(DestFile);
  Close(VarFile);
  WriteLn(Line, ' lines compiled ok');
  if TimeElapsed < 1000
  then Writeln('time elapsed: ', TimeElapsed, ' ms')
  else Writeln('time elapsed: ', TimeElapsed div 1000, ' sec');
end.